Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.lang
Class StringBuffer

Method Summary
`StringBuffer` | `leftShift(Object value)` Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuffer.
`String` | `plus(String value)` Appends a String to this StringBuffer.
`void` | `putAt(EmptyRange range, Object value)` Support the range subscript operator for StringBuffer.
`void` | `putAt(IntRange range, Object value)` Support the range subscript operator for StringBuffer.
`int` | `size()` Provide the standard Groovy `size()` method for `StringBuffer`.

Method Detail

### leftShift

    public StringBuffer leftShift(Object value)

  Overloads the left shift operator to provide an easy way to append multiple objects as string representations to a StringBuffer.

Parameters:
  `value` - a value to append.

Returns:
  the StringBuffer on which this operation was invoked

Since:
  1.0

### plus

    public String plus(String value)

  Appends a String to this StringBuffer.

Parameters:
  `value` - a String.

Returns:
  a String

Since:
  1.0

### putAt

    public void putAt(EmptyRange range, Object value)

  Support the range subscript operator for StringBuffer.

Parameters:
  `range` - a Range.
  `value` - the object that's toString() will be inserted.

Since:
  1.0

### putAt

    public void putAt(IntRange range, Object value)

  Support the range subscript operator for StringBuffer. Index values are treated as characters within the buffer.

Parameters:
  `range` - a Range.
  `value` - the object that's toString() will be inserted.

Since:
  1.0

### size

    public int size()

  Provide the standard Groovy `size()` method for `StringBuffer`.

Returns:
  the length of the StringBuffer

Since:
  1.0

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK